### File

`src/core/domain/interfaces/es-query-string.interface.ts`

### Description

Structure of page metadata

### Index

###### Properties
Optional default_field Optional fields query

### Properties

default_field
`default_field: `string``
Type : `string`
Optional
Default field to perform a search on, when no field is specified for the query

fields
`fields: `string[]``
Type : `string[]`
Optional
Specific fields, to perform a search on Can't be specified with 'default_field'

query
`query: `string``
Type : `string`
Query string, that provides the data, to perform a search on

    export interface EqQueryString {
        /**
         * Query string, that provides the data, to perform a search on
         */
        query: string;

        /**
         * Default field to perform a search on, when
         * no field is specified for the query
         */
        default_field?: string;

        /**
         * Specific fields, to perform a search on
         * Can't be specified with 'default_field'
         */
        fields?: string[];

        /**
         *
         */

    }

# results matching ""

# No results matching ""